vdr-epg-daemon mit plugin bauen?

  • Hallo,


    im Einsatz ist:

    Code
    1. vdr-epg-daemon:
    2. Installiert: 4:1.1.65-0frodo0~trusty
    3. Installationskandidat: 4:1.1.65-0frodo0~trusty


    Das Paket würde ich gerne um das spezielle plugin erweitern, in dessen readme im git-hub eine Beschreibung zur Installation unter yavdr (gottseidank! 8) ) vorliegt - Danke dafür.
    Leider baut das Paket bei mir nicht:


    Nach:

    Code
    1. git clone https://github.com/...
    2. dch -l local "added plugin xxx"
    3. dpkg-buildpackage -b -us -uc


    gibts Fehlermeldungen:


    Code
    1. root@yavdr:~/src/epgd/vdr-epg-daemon-1.1.65# dpkg-buildpackage -b -us -uc
    2. dpkg-buildpackage: Quellpaket vdr-epg-daemon
    3. dpkg-buildpackage: Quellversion 4:1.1.65-0frodo0~trustylocal1
    4. dpkg-buildpackage: Quelldistribution UNRELEASED
    5. dpkg-buildpackage: Quellen geändert durch root <root@yavdr>
    6. dpkg-buildpackage: Host-Architektur amd64
    7. dpkg-source --before-build vdr-epg-daemon-1.1.65
    8. dpkg-checkbuilddeps: Nicht erfüllte Bauabhängigkeiten: libmicrohttpd-dev rhino d h-exec
    9. dpkg-buildpackage: Warnung: Bauabhängigkeiten/-konflikte nicht erfüllt; Abbruch
    10. dpkg-buildpackage: Warnung: (Verwenden Sie -d, um sich darüber hinwegzusetzen.)


    Mit Option -d wirds auch nicht viel besser:




    Ich kenne mich da zu wenig aus, :( - würde mich über Hilfe sehr freuen!


    marpiet



    HDVDR: yavdr-0.6.0-stable: Intel G2120,Intel DH 77EB mit CIR, Co-Haus CIR, 64 GB SSD, 3 TB WD Red, Cine S2 V6.5 + Duoflex S2 an Centauri Multiswitch,
    Zotac Nvidia GT 630

    :prost2


  • Einfach die erste Fehlermeldung genau lesen, dir fehlen noch ein paar Pakete - wenn du die PPAs von Frodo eingebunden hast, kannst du das so machen:

    Code
    1. sudo apt-get build-dep vdr-plugin-epg2vdr
    2. sudo apt-get build-dep vdr-epg-daemon

    yaVDR-Dokumentation (Ceterum censeo enchiridia esse lectitanda.)

  • Hi,



    Nicht erfüllte Bauabhängigkeiten: libmicrohttpd-dev rhino d

    wenn schon ...denn schon! :]

    Code
    1. sudo apt-get install libmicrohttpd-dev rhino dh-exec


    Gruss
    Wolfgang

  • Mal abgesehen davon das die zwei Plugins bereits dabei sind... Was muss man da neu bauen??? :wand


    Schau mal in /usr/lib/epgd/plugins/ .

    Gruß
    Frodo

  • Musst halt einen Hinweis in die Readme nehmen dass der User die Patches ansehen soll :wow

    Gruß utiltiy



    VDR Projekte VDR Projects

  • Quote

    Mal abgesehen davon das die zwei Plugins bereits dabei sind...


    Ist ja genial :] muss ich ausser in der channelmap.conf noch etwas konfigurieren um Daten zu bekommen?


    Merci!


    marpiet



    HDVDR: yavdr-0.6.0-stable: Intel G2120,Intel DH 77EB mit CIR, Co-Haus CIR, 64 GB SSD, 3 TB WD Red, Cine S2 V6.5 + Duoflex S2 an Centauri Multiswitch,
    Zotac Nvidia GT 630

    :prost2


  • Nein, es reicht die channelmap.conf anzupassen.
    Es liegen ein paar Beispiele dabei (/etc/epgd) , da ich selbst epgdata und tvm verwende ist nur das getestet aber wahrscheinlich auch nicht auf dem letzten Stand.

    Gruß
    Frodo